> ## Documentation Index
> Fetch the complete documentation index at: https://docs.houdiniswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get partner weekly volume stats



## OpenAPI

````yaml https://api-partner.houdiniswap.com/v2/openapi.json get /stats/weeklyVolume
openapi: 3.0.0
info:
  title: houdiniswap-backend
  version: 2.1.1
  description: Houdiniswap Backend
  license:
    name: ISC
  contact: {}
servers:
  - url: https://api-partner.houdiniswap.com/v2
security: []
paths:
  /stats/weeklyVolume:
    get:
      tags:
        - Stats
      summary: Get partner weekly volume stats
      operationId: GetWeeklyVolume
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/WeeklyVolumeResponse'
                type: array
        '403':
          description: Access Denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - apiKey: []
components:
  schemas:
    WeeklyVolumeResponse:
      properties:
        week:
          type: number
          format: double
          description: ISO week number
        year:
          type: number
          format: double
          description: Year
        count:
          type: number
          format: double
          description: Number of transactions
        anonymous:
          type: number
          format: double
          description: Number of anonymous transactions
        volume:
          type: number
          format: double
          description: Total volume in USD
        commission:
          type: number
          format: double
          description: Commission earned in USD
      required:
        - week
        - year
        - count
        - anonymous
        - volume
        - commission
      type: object
      additionalProperties: false
    ErrorResponse:
      properties:
        message:
          type: string
        code:
          type: string
        requestId:
          type: string
      required:
        - message
        - code
      type: object
      additionalProperties: false
    ValidationError:
      properties:
        message:
          type: string
        code:
          type: string
        requestId:
          type: string
        fields:
          $ref: '#/components/schemas/FieldErrors'
      required:
        - message
        - code
        - fields
      type: object
      additionalProperties: false
    FieldErrors:
      properties: {}
      type: object
      additionalProperties:
        properties:
          value: {}
          message:
            type: string
        required:
          - message
        type: object
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````